pagekite_0.5.9.0-1_all.deb


Advertisement

Description

pagekite - Make localhost servers publicly visible

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pagekite
Package version 0.5.9.0
Package release 1
Package architecture all
Package type deb
Installed size 522 B
Download size 124.11 KB
Official Mirror archive.ubuntu.com
PageKite is a system for running publicly visible servers (generally
web servers) on machines without a direct connection to the Internet,
such as mobile devices or computers behind restrictive firewalls.
PageKite works around NAT, firewalls and IP-address limitations by
using a combination of  tunnels and reverse proxies.
Natively supported protocols: HTTP, HTTPS
Partially supported protocols: IRC, Finger
Any other TCP-based service, including SSH and VNC, may be exposed
as well to clients supporting HTTP Proxies.

Alternatives

Package Version Architecture Repository
pagekite_0.5.9.0-1_all.deb 0.5.9.0 all Ubuntu Universe
pagekite - - -

Requires

Name Value
daemon >= 0.6
python-openssl -
python-socksipychain >= 2.0.15
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package pagekite_0.5.9.0-1_all.deb
Source Package pagekite

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pagekite deb package:
    # sudo apt-get install pagekite

Files

Path
/etc/init.d/pagekite
/etc/logrotate.d/pagekite
/etc/pagekite.d/10_account.rc
/etc/pagekite.d/20_frontends.rc
/etc/pagekite.d/80_httpd.rc.sample
/etc/pagekite.d/80_sshd.rc.sample
/usr/bin/lapcat
/usr/bin/pagekite
/usr/bin/vipagekite
/usr/lib/python2.7/dist-packages/pagekite/__init__.py
/usr/lib/python2.7/dist-packages/pagekite/__main__.py
/usr/lib/python2.7/dist-packages/pagekite/android.py
/usr/lib/python2.7/dist-packages/pagekite/common.py
/usr/lib/python2.7/dist-packages/pagekite/compat.py
/usr/lib/python2.7/dist-packages/pagekite/dropper.py
/usr/lib/python2.7/dist-packages/pagekite/httpd.py
/usr/lib/python2.7/dist-packages/pagekite/logging.py
/usr/lib/python2.7/dist-packages/pagekite/logparse.py
/usr/lib/python2.7/dist-packages/pagekite/manual.py
/usr/lib/python2.7/dist-packages/pagekite/pk.py
/usr/lib/python2.7/dist-packages/pagekite/yamond.py
/usr/lib/python2.7/dist-packages/pagekite-0.5.9.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pagekite-0.5.9.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pagekite-0.5.9.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pagekite-0.5.9.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pagekite/proto/__init__.py
/usr/lib/python2.7/dist-packages/pagekite/proto/conns.py
/usr/lib/python2.7/dist-packages/pagekite/proto/filters.py
/usr/lib/python2.7/dist-packages/pagekite/proto/parsers.py
/usr/lib/python2.7/dist-packages/pagekite/proto/proto.py
/usr/lib/python2.7/dist-packages/pagekite/proto/selectables.py
/usr/lib/python2.7/dist-packages/pagekite/ui/__init__.py
/usr/lib/python2.7/dist-packages/pagekite/ui/basic.py
/usr/lib/python2.7/dist-packages/pagekite/ui/nullui.py
/usr/lib/python2.7/dist-packages/pagekite/ui/remote.py
/usr/share/doc/pagekite/CREDITS.txt
/usr/share/doc/pagekite/README.md.gz
/usr/share/doc/pagekite/changelog.Debian.gz
/usr/share/doc/pagekite/copyright
/usr/share/man/man1/lapcat.1.gz
/usr/share/man/man1/pagekite.1.gz

Changelog

2016-12-18 - Federico Ceratto <federico@debian.org>
pagekite (0.5.9.0-1) unstable; urgency=medium
* New upstream release (Closes: #845572)
2016-09-12 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.8e-2) unstable; urgency=medium
[ Sunil Mohan Adapa ]
* Fix issues with local logging module getting included instead
of system module due to the way manual.py is invoked
(Closes: #830287).
[ Petter Reinholdtsen ]
* Migrated git repo from single-debian-patch to use individual patches in
d/patches/.
2016-07-05 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.8e-1) unstable; urgency=medium
* New upstream version 0.5.8e.
* Updated Standards-Version from 3.9.6 to 3.9.8.
2016-03-11 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.8a-4) unstable; urgency=medium
* Corrected autopkgtest setup, need netcat installed during
test (Closes: #816853).
2016-03-10 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.8a-3) unstable; urgency=medium
[ James Valleroy ]
* Fix autopkgtests and enable test-tunnel.
[ Petter Reinholdtsen ]
* Added 'Testsuite: autopkgtest' to debian/control to activate
autopkgtest for package.
2016-03-02 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.8a-2) unstable; urgency=medium
* Reintroduce debian/dirs to make sure deb include required
directories (Closes: #816471).
* Added simple autopkgtest script to check the client can run.
* Added nonworking draft autopkgtest script test-tunnel to test
a loopback tunnel.
2016-02-10 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.8a-1) unstable; urgency=medium
[ Petter Reinholdtsen ]
* New upstream 0.5.8a.
* Add gbp.conf file to enforce the use of pristine-tar and
filter out the upstream debian/ directory when importing.
* Drop version number from generated whatis manual page entry to keep
lintian happy.
* Depend on newer python-socksipychain (>= 2.0.15), needed by
the new upstream.
* Build-depend on dh-python >= 2.20151103 to get a working
version.  The version in Debian Jessie is not new enough.
[ Federico Ceratto ]
* Switch Vcs fields to HTTPS.
* Enable verbose build.
* Remove .egg-info.
* Add Build-Depends-Indep.
[ Petter Reinholdtsen ]
* Make build reproducible (Closes: #795659).
2015-07-05 - Federico Ceratto <federico@debian.org>
pagekite (0.5.6d-4) unstable; urgency=low
[ Sunil Mohan Adapa ]
* Migrate to dh-python2 (Closes: #786175).
* Update standards version to 3.9.6.
* Add python-openssl as build dependency (Closes: #790271).  Without
this, code executed during build follows a different path from binary
execution leading to build-time-only problems.
2014-03-25 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.6d-3) unstable; urgency=low
* Add debian/watch file to track new upstream versions.
2014-03-17 - Petter Reinholdtsen <pere@debian.org>
pagekite (0.5.6d-2) unstable; urgency=low
* Reformat package dependencies in debian/control.
* Add python-setuptools, dh-python and python-socksipychain as build
dependencies.

See Also

Package Description
pagemon_0.01.10-1_i386.deb interactive memory/page monitoring tool
pages2epub_0.9.5-1build1_i386.deb Apple Pages to EPUB converter
pages2odt_0.9.5-1build1_i386.deb Apple Pages text documents to OpenDocument converter
pagetools_0.1-2_i386.deb Automatic deskew and bounding box determination for scanned page images
painintheapt_0.20161206-1_all.deb Pester people about available package updates by email or jabber
pairs_15.04.3-1_i386.deb memory and pairs game
paje.app_1.98-1build3_i386.deb generic visualization tool (Gantt chart and more)
pajeng_1.3.4-3_i386.deb space-time view and associated tools for Paje trace files
pakcs_1.14.2-1_i386.deb Portland Aachen Kiel Curry Compiler
pal_0.4.3-8.1build2_i386.deb command-line calendar program that can keep track of events
palapeli-data_17.04.3-0ubuntu1_all.deb data files for palapeli jigsaw puzzle game
palapeli_17.04.3-0ubuntu1_i386.deb jigsaw puzzle game
palbart_2.13-1_i386.deb Enhanced version of the PAL PDP8 assembler
paleomix_1.2.7-1_all.deb pipelines and tools for the processing of ancient and modern HTS data
palo_1.97_i386.deb Linux boot loader for HP PA-RISC
Advertisement
Advertisement